package pay

import (
	"net/http"

	"qnc-server/app/user/cmd/api/internal/logic/pay"
	"qnc-server/app/user/cmd/api/internal/svc"
	"qnc-server/common/result"
)

func WechatPayRefundCallbackHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := pay.NewWechatPayRefundCallbackLogic(r.Context(), svcCtx)
		err := l.WechatPayRefundCallback(w, r)
		result.HttpResult(r, w, nil, err)
	}
}
